############################################################
# AICCU - Automatic IPv6 Connectivity Client Utility
# by Jeroen Massar <jeroen@sixxs.net>
# (c) Copyright 2003-2004 SixXS
############################################################
# AICCU RPM Spec File
############################################################

%if %{?aiccu_version:0}%{!?aiccu_version:1}
%define aiccu_version rpmbuild
%endif

%if %{?aiccu_release:0}%{!?aiccu_release:1}
%define aiccu_release 1
%endif

%if %{?srcext:0}%{!?srcext:1}
%define srcext .gz
%endif

Summary:   AICCU - SixXS Automatic IPv6 Connectivity Client Utility
Name:      aiccu
Version:   %(version=`echo %{aiccu_version} | cut -b0-10`; echo ${version})
Release:   %(options=`echo %{aiccu_version} | cut -b12-`; echo %{aiccu_release}${options})
License:   GPL
Group:     Networking/Utilities
URL:       http://www.sixxs.net/tools/aiccu/
Vendor:    SixXS
BuildRoot: /var/tmp/%{name}-root
Packager:  SixXS <info@sixxs.net>
Source:    aiccu_%{aiccu_version}.tar%{srcext}

%description
This client automatically gives one IPv6 connectivity
without having to manually configure interfaces etc.
One does need a SixXS account and at least a tunnel. These
can be freely & gratis requested from the SixXS website.
For more information about SixXS check http://www.sixxs.net

%prep
%setup -q -n %{name}

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
make clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/README doc/LICENSE
%{_sbindir}/aiccu
%config %{_sysconfdir}/aiccu.conf
%config %{_sysconfdir}/init.d/aiccu

%changelog
* Sun Aug 29 2004 Jeroen Massar <jeroen@sixxs.net> 2004.08.29
- Beta2 with TIC, 6in4, 6in4-heartbeat and AYIYA support

